## 2008 存活请求

~~~
# --- test 2008 ---
服务器地址/端口：58.34.94.178/20917
# --- 请求 ---
无
# --- 返回 ---
无
~~~

## 2000 舱端登录认证

~~~
# --- test 2000 ---

服务器地址/端口：58.34.94.178/20917

# --- 请求 ---

消息头：CS_Sign 2000
消息体：
message CSSign
{
string account=1;
string password=2;
};

# --- 返回 ---

消息头：SC_Sign 4000
消息体：
message SCSign
{
bool ret=1;
int32 uid=2;
int32 cid=3;
string name=4;
};
~~~

## 2009 车端上线

~~~

# --- test 2009 ---

服务器地址/端口：58.34.94.178/20917

# --- 请求 ---

消息头：CS_Add 2009
消息体：
message CSAdd
{
string serial=1;
int32 type=2;
string name=3;
};

# --- 返回1 ---

消息头：SC_NotifyAdd 4016
消息体：
message Robot
{
enum RobotState
{
Offline=0;
Online=1;
Busy=2;
};
int32 rid=1;
string name=2;
int32 type=3;
RobotState state=4;
};
message SCAddRobot
{
Robot robot=1;
};

# --- 返回2 ---

消息头：SC_Add 4007
消息体：
message SCAdd
{
bool ret=1;
int32 uid=2;
int32 cid=3;
string name=4;
};
~~~

## 2004 发送offer

~~~
# --- test 2004 ---

服务器地址/端口：58.34.94.178/20917

# --- 请求 ---

消息头：CS_Offer 2004
消息体：
message Offer
{
int32 index=1;
int32 peer=2;
string type=3;
string sdp=4;
};

# --- 返回 ---

消息头：SC_NotifyOffer 4012
消息体：
message Offer
{
int32 index=1;
int32 peer=2;
string type=3;
string sdp=4;
};
~~~

## 2005 发送answer

~~~
# --- test 2005 ---

服务器地址/端口：58.34.94.178/20917

# --- 请求 ---

消息头：CS_Answer 2005
消息体：
message Answer
{
int32 index=1;
int32 peer=2;
string type=3;
string sdp=4;
};

# --- 返回 ---

消息头：SC_NotifyAnswer 4011
消息体：
message Answer
{
int32 index=1;
int32 peer=2;
string type=3;
string sdp=4;
};
~~~

## 2006 发送candidate

~~~
# --- test 2006 ---

服务器地址/端口：58.34.94.178/20917

# --- 请求 ---

消息头：CS_Candidate 2006
消息体：
message Candidate
{
int32 index=1;
int32 peer=2;
string type=3;
string candidate=4;
int32 sdpMLineIndex =5;
string sdpMid =6;
int32 egotype=7;
};

# --- 返回 ---

消息头：SC_NotifyCandidate 4013
消息体：
message Candidate
{
int32 index=1;
int32 peer=2;
string type=3;
string candidate=4;
int32 sdpMLineIndex =5;
string sdpMid =6;
int32 egotype=7;
};
~~~